=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               libcups2-dev (>= 1.5),
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5iconthemes-dev (>= 5.82.0~),
               libkf5kcmutils-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5notifications-dev (>= 5.82.0~),
               libkf5plasma-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               libkf5windowsystem-dev (>= 5.82.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.9.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: plasma-framework (>= 5.72.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.72.0~),
         qml-module-qtquick-controls (>= 5.9.0~),
         qml-module-qtquick-controls2 (>= 5.9.0~),
         qml-module-qtquick-layouts (>= 5.9.0~),
         qml-module-qtquick2 (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.
