## print-manager 22.08.1

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qttools5-dev (>= 5.9.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/print-manager
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
