=== libkcups/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+include(GenerateExportHeader)
+
 set(libkcups_SRCS
     Debug.cpp
     KIppRequest.cpp
@@ -16,6 +18,24 @@
     JobModel.cpp
     JobSortFilterModel.cpp
     ProcessRunner.cpp
+
+    Debug.h
+    KIppRequest.h
+    KCupsPasswordDialog.h
+    KCupsConnection.h
+    KCupsJob.h
+    KCupsPrinter.h
+    KCupsServer.h
+    KCupsRequest.h
+    ClassListWidget.h
+    PPDModel.h
+    SelectMakeModel.h
+    NoSelectionRectDelegate.h
+    PrinterModel.h
+    PrinterSortFilterModel.h
+    JobModel.h
+    JobSortFilterModel.h
+    ProcessRunner.h
 )
 
 ki18n_wrap_ui(libkcups_SRCS
@@ -24,18 +44,20 @@
 
 add_library(kcupslib SHARED ${libkcups_SRCS})
 
+generate_export_header(kcupslib)
+
 target_link_libraries(kcupslib
     Qt::Core
     Qt::DBus
     Qt::Widgets
-    KF5::ConfigWidgets
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::WidgetsAddons
-    KF5::WindowSystem
+    KF${QT_MAJOR_VERSION}::ConfigWidgets
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::IconThemes
+    KF${QT_MAJOR_VERSION}::KIOCore
+    KF${QT_MAJOR_VERSION}::KIOWidgets
+    KF${QT_MAJOR_VERSION}::WidgetsAddons
+    KF${QT_MAJOR_VERSION}::WindowSystem
     Cups::Cups
 )
