=== printer-manager-kcm/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
     PrinterDelegate.cpp
     PrinterDescription.cpp
     PrintKCM.cpp
+    PrinterDelegate.h
+    PrinterDescription.h
+    PrintKCM.h
 )
 
 ki18n_wrap_ui(kcm_print_SRCS
@@ -15,9 +18,9 @@
 target_link_libraries(kcm_printer_manager
     Qt::Core
     Qt::Widgets
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::KCMUtils
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::KCMUtils
     kcupslib
     Cups::Cups
 )
